%define upstream_name    Test-SharedFork
%define upstream_version 0.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Fork test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Prove)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Builder) >= 0.320.0
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
Test::SharedFork is utility module for Test::Builder.

This module makes the fork(2) manpage safety in your test case.

This module merges test count with parent process & child process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.350.0-4.mga8
+ Revision: 1497521
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.350.0-3.mga7
+ Revision: 1272006
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.350.0-2.mga6
+ Revision: 1034641
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.350.0-1.mga6
+ Revision: 923950
- update to 0.35

* Wed Oct 14 2015 sander85 <sander85> 0.340.0-1.mga6
+ Revision: 891567
- update to 0.34

* Sun Jul 05 2015 shlomif <shlomif> 0.330.0-1.mga6
+ Revision: 850749
- update to 0.33

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 749751
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.280.0-3.mga5
+ Revision: 736018
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-2.mga5
+ Revision: 686544
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 0.280.0-1.mga5
+ Revision: 650376
- update to 0.28

* Thu Jul 03 2014 sander85 <sander85> 0.270.0-1.mga5
+ Revision: 642734
- update to 0.27

* Fri Jun 27 2014 sander85 <sander85> 0.260.0-1.mga5
+ Revision: 640352
- update to 0.26

* Tue Jun 24 2014 sander85 <sander85> 0.250.0-1.mga5
+ Revision: 639254
- update to 0.25

* Tue Apr 15 2014 jquelin <jquelin> 0.240.0-1.mga5
+ Revision: 615022
- update to 0.24

* Thu Mar 13 2014 jquelin <jquelin> 0.230.0-1.mga5
+ Revision: 603018
- update to 0.23

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 515314
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 373780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 342709
- update to 0.21

* Thu Feb 23 2012 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 213202
- update to 0.20

* Thu Dec 01 2011 kharec <kharec> 0.190.0-1.mga2
+ Revision: 174764
- update to 0.19

* Thu Oct 13 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 154475
- update to 0.18

* Mon Jun 20 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 110557
- imported package perl-Test-SharedFork


* Mon Jun 20 2011 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
